# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "ion-lsp"
version = "0.7.1"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Language server for the Ion scripting language"
readme = "README.md"
keywords = [
    "lsp",
    "scripting",
    "ion",
]
categories = ["development-tools"]
license = "MIT"
repository = "https://github.com/chutuananh2k/ion-lang"

[[bin]]
name = "ion-lsp"
path = "src/main.rs"

[dependencies.ion-core]
version = "0.7.0"
features = []
default-features = false

[dependencies.lsp-server]
version = "0.7"

[dependencies.lsp-types]
version = "0.95"

[dependencies.serde]
version = "1"
features = ["derive"]

[dependencies.serde_json]
version = "1"
